SplQueue::__construct
SplQueue::enqueue
SplQueue
PHP Manual

# SplQueue::dequeue

(No version information available, might be only in CVS)

SplQueue::dequeue — Dequeues a node from the queue

### Description

mixed SplQueue::dequeue ( void )

Dequeues `value` from the top of of the queue.

> Note: SplQueue::dequeue is an alias of SplDoublyLinkedList::shift.

### Parameters

This function has no parameters.

### Return Values

The value of the dequeued node.

SplQueue::__construct
SplQueue::enqueue
SplQueue
PHP Manual